---
author: Sanchayan Maity
title: Rust Run Series at the Bangalore Rust meetup group
tags: meetup, rust
---

I took over the responsibility of being primary speaker at the [rustox](https://www.meetup.com/rustox/) meetup group in February 2018 from Ragini and Saifi who founded this group and used to host it every weekend. Have learned a lot from them.

Saifi had envisioned a series on Rust topics for beginners, which I decided to continue. The goals for 2018 by him are outlined [here](https://medium.com/@rustox/rust-bangalore-2018-goals-f1f16397cd47). However, I felt after a while that if we just cater to beginners and since there will always be people coming on-board, we will never progress beyond a certain point. There had already been a beginners series in 2017. With that in mind and after talking with Raj, who was now the organizer for sister group [FOSS Cafe](https://www.meetup.com/fosscafe/), we decided that there would be a fundamental topic one week and the next week we would look at some crate or project. And this would alternate and keep on continuing. We felt that this way we could cater to both beginners as well as those who were interested in some more intermediate level topics.

With [Jyotsna Gupta](https://reps.mozilla.org/u/jenal/) also helping us with the Mozilla and Rust swag, we decided to name the above series as Rust Run. The following meetup events have been conducted as part of the series.

* [Ownership, References & Borrowing](https://www.meetup.com/rustox/events/250768637/)

* [Raft Consensus Algorithm](https://www.meetup.com/rustox/events/250768716/)

* [Generics and Traits](https://www.meetup.com/rustox/events/250768752/)

* [Futures](https://www.meetup.com/rustox/events/250768766/)

* [Error handling in Rust](https://www.meetup.com/rustox/events/250768799/)

* [tokio](https://www.meetup.com/rustox/events/250768815/)

* [Lifetimes in Rust](https://www.meetup.com/rustox/events/250768828/)

* [Smart Pointers in Rust](https://www.meetup.com/rustox/events/250768886/)

* [Rocket Web Framework](https://www.meetup.com/rustox/events/250768950/)

* [Concurrency in Rust](https://www.meetup.com/rustox/events/250768992/)

* [Diesel](https://www.meetup.com/rustox/events/250769067/)

* [Flatbuffers](https://www.meetup.com/rustox/events/254812229/)

A big thanks to [HackerEarth](https://www.hackerearth.com/) who have been very forthcoming in providing us the venue for meetups in last few months and also to [91SpringBoard](http://www.91springboard.com/) and [ThoughtFactory](https://www.axisbank.com/thoughtfactory/index.html) where we conducted a lot of our earlier meetups. Here are some pictures from the meetups conducted at HackerEarth.

From the meetup on tokio.
![](/images/tokio.jpg)

From the meetup on lifetimes.
![](/images/lifetimes.jpeg)

From the meetup on Rocket.
![](/images/rocket.jpeg)

From the meetup on Concurrency in Rust.
![](/images/concurrency.jpeg)

From the meetup on Smart Pointers.
![](/images/smartpointers.jpeg)
